/* Project: Arduino relay switch using an IR remote control
 * 
 * Raj Bhatt (Nov 25, 2016)
 * http://www.embedded-lab.com
*/


#include <IRremote.h>
#define SW1 6  // Relay control pins are 6 and 7
#define SW2 7

int RECV_PIN = 11;  // IR receive pin is 11
IRrecv irrecv(RECV_PIN);
long int decodedCode;   

decode_results rcv;

void controlRelays(){
   if(decodedCode == 1168) digitalWrite(SW1,  LOW);    
   if(decodedCode == 3216) digitalWrite(SW1, HIGH);    
   if(decodedCode == 144)  digitalWrite(SW2,  LOW);    
   if(decodedCode == 2192) digitalWrite(SW2, HIGH);    
   if(decodedCode == 625479){
      digitalWrite(SW1, HIGH); // All off 
      digitalWrite(SW2, HIGH);  
   }

   if(decodedCode == 363335){
      digitalWrite(SW1, LOW); // All on 
      digitalWrite(SW2, LOW);
   }
   delay(300);
}

void setup(){
    pinMode(SW1, OUTPUT);
    pinMode(SW2, OUTPUT);
    digitalWrite(SW1, HIGH); // Relay is active low, so HIGH will turn it off at startup
    digitalWrite(SW2, HIGH); 
    Serial.begin(9600);
    Serial.println("IR relay controller");
    irrecv.enableIRIn(); 
}

void loop(){
    if (irrecv.decode(&rcv)) {
       Serial.print("Signal received, Value= ");
       decodedCode = rcv.value;
       Serial.println(decodedCode, DEC);
       controlRelays();
       irrecv.resume(); 
    }
}
